1 |
+ |
Imports SolidWorks.Interop |
2 |
+ |
Imports SolidWorks.Interop.swconst |
3 |
+ |
Imports SolidWorks.Interop.swpublished |
4 |
+ |
|
5 |
|
Public Class Debug_form |
6 |
|
Inherits System.Windows.Forms.Form |
7 |
|
|
455 |
|
|
456 |
|
|
457 |
|
Select Case swEnt.GetType |
458 |
< |
Case SwConst.swSelectType_e.swSelATTRIBUTES |
458 |
> |
Case swconst.swSelectType_e.swSelATTRIBUTES |
459 |
|
swFeat = swEnt |
460 |
|
attr = swFeat.GetSpecificFeature2() |
461 |
|
If Not attr Is Nothing Then |
466 |
|
End If |
467 |
|
|
468 |
|
|
469 |
< |
Case SwConst.swSelectType_e.swSelEDGES |
469 |
> |
Case swconst.swSelectType_e.swSelEDGES |
470 |
|
' on essai pour la condition aux limites |
471 |
|
attr = swEnt.FindAttribute(Intersections.DefAttrConditionLimite, 0) |
472 |
|
If Not attr Is Nothing Then |
492 |
|
End If |
493 |
|
|
494 |
|
|
495 |
< |
Case SwConst.swSelectType_e.swSelFACES |
495 |
> |
Case swconst.swSelectType_e.swSelFACES |
496 |
|
' on essai pour la condition aux limites |
497 |
|
attr = swEnt.FindAttribute(Intersections.DefAttrConditionLimite, 0) |
498 |
|
If Not attr Is Nothing Then |
693 |
|
detail(i).swent.Select(False) |
694 |
|
'swModel.SelectedFeatureProperties(255, 0.8, 0.5, 0.5, 1, 0, 1, False, False, 0) |
695 |
|
' si le entity est un |
696 |
< |
If detail(i).swent.GetType = SwConst.swSelectType_e.swSelATTRIBUTES Then |
696 |
> |
If detail(i).swent.GetType = swconst.swSelectType_e.swSelATTRIBUTES Then |
697 |
|
Dim swfeat As SldWorks.Feature |
698 |
|
Dim attr As SldWorks.Attribute |
699 |
|
Dim ent As SldWorks.Entity |